.nav-link:hover {
  background: #eee; 
  cursor: pointer;
  }


nav {
    position: relative;
    width: 524 px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #000;
  }
  nav a {
    position: relative;
    display: inline-block;
    font-size:1em ;
    font-weight: 500;
    color: #000;

    text-decoration: none;
    padding: 0 23px;
    z-index: 1;
  }
  nav span {
    position:absolute;
    top: 0;
    left: 0;
    width: 95px;
    height: 100%;
    border-radius: 8px;
  }
  nav a:nth-child(1):hover~span
  {
    left: 0;
  }
  nav a:nth-child(2):hover~span
  {
    left: 95px;
  }